package device

import "net"

func (m *Manager) getZoneForIP(ip net.IP) (string, error) {
	if m.geodb == nil {
		return "", nil
	}

	// Only look up a single attribute (country).
	var record struct {
		Country struct {
			ISOCode string `maxminddb:"iso_code"`
		} `maxminddb:"country"`
	}
	if err := m.geodb.Lookup(ip, &record); err != nil {
		return "", err
	}

	return record.Country.ISOCode, nil
}
